# $Revision: 1.24 $, $Date: 2006/12/20 12:10:15 $
Summary:	Moscow ML - Standard ML implementation
Summary(pl):	Moscow ML - implementacja jzyka Standard ML
Name:		mosml
Version:	2.01
Release:	6
License:	GPL
Group:		Development/Languages
Source0:	http://www.dina.kvl.dk/~sestoft/mosml/mos201src.tar.gz
# Source0-md5:	74aaaf988201fe92a9dbfbcb1e646f70
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-no-static-pq.patch
Patch2:		%{name}-dynamic-gd.patch
Patch3:		%{name}-dynamic-gdbm.patch
URL:		http://www.dina.kvl.dk/~sestoft/mosml.html
BuildRequires:	gd-devel
BuildRequires:	gdbm-devel
BuildRequires:	mysql-devel
BuildRequires:	perl-base
BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Moscow ML provides a light-weight implementation of full Standard ML,
including Modules and some extensions. Standard ML is a strict
functional language widely used in teaching and research.

Moscow ML is based on the Caml Light system, which gives fast
compilation and modest storage consumption.

%description -l pl
Moscow ML udostpnia zgrabn implementacj penego Standard MLa,
wczajc w to moduy i niektre rozszerzenia. Standard ML jest cile
funkcyjnym jzykiem, szeroko uywanym w nauczaniu i badaniach
naukowych.

Moscow ML jest oparty na Caml Light, co daje w efekcie szybk
kompilacj i przyzwoit objto kodu.

%package gd
Summary:	MoscowML bindings for gd library
Summary(pl):	Wizania MoscowML-a dla biblioteki gd
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description gd
MoscowML bindings for gd library.

%description gd -l pl
Wizania MoscowML-a do biblioteki gd.

%package gdbm
Summary:	MoscowML bindings for gdbm library
Summary(pl):	Wizania MoscowML-a dla biblioteki gdbm
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description gdbm
MoscowML bindings for gdbm library.

%description gdbm -l pl
Wizania MoscowML-a do biblioteki gdbm.

%package pq
Summary:	MoscowML libraries for Posgresql
Summary(pl):	Biblioteki MoscowML-a do Postgresql
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description pq
MoscowML libraries for Posgresql.

%description pq -l pl
Biblioteki MoscowML-a do Postgresql.

%package mysql
Summary:	MoscowML libraries for Mysql
Summary(pl):	Biblioteki MoscowML-a do Mysql
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description mysql
MoscowML libraries for Mysql.

%description mysql -l pl
Biblioteki MoscowML-a do Mysql.

%package doc
Summary:	MoscowML pdf documentation
Summary(pl):	Dokumentacja dla MoscowML w formacie pdf
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description doc
MoscowML pdf documentation.

%description doc -l pl
Dokumentacja dla MoscowML w formacie pdf.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -C src world \
	BINDIR=%{_bindir} \
	LIBDIR=%{_libdir}/mosml \
	INCDIR=%{_includedir}/mosml \
	TOOLDIR=%{_libdir}/mosml/tools \
	OPTCFLAGS="%{rpmcflags}"

%{__make} -C src/dynlibs \
	LIBDIR=%{_libdir}/mosml \
	INCDIR=`pwd`/src/runtime \
	MYSQLLIBDIR=%{_libdir}/mysql \
	MYSQLINCDIR=%{_includedir}/mysql \
	PGSQLLIBDIR=%{_libdir} \
	PGSQLINCDIR=%{_includedir}/postgresql \
	OPTCFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/mosml

%{__make} -C src install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/mosml \
	INCDIR=$RPM_BUILD_ROOT%{_includedir}/mosml \
	TOOLDIR=$RPM_BUILD_ROOT%{_libdir}/mosml/tools \
	MOSMLHOME=$RPM_BUILD_ROOT%{_prefix}/mosml

%{__make} -C src/dynlibs install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/mosml \
	INCDIR=$RPM_BUILD_ROOT%{_includedir}/mosml \
	TOOLDIR=$RPM_BUILD_ROOT%{_libdir}/mosml/tools \
	MOSMLHOME=$RPM_BUILD_ROOT%{_prefix}/mosml

echo '#!/usr/bin/camlrunm' > $RPM_BUILD_ROOT%{_libdir}/mosml/header

cp -a tools/Makefile.stub $RPM_BUILD_ROOT%{_libdir}/mosml/tools
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/mosml/
ln -sf ../../bin/camlrunm $RPM_BUILD_ROOT%{_libdir}/mosml/camlrunm

mv -f src/doc/helpsigs/htmlsigs src/doc/helpsigs/mosmllib
mv -f src/doc/helpsigs/index.html src/doc/helpsigs/mosmllib

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README copyrght/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/mosml
%attr(755,root,root) %{_libdir}/mosml/libmregex.so
%attr(755,root,root) %{_libdir}/mosml/libmunix.so
%attr(755,root,root) %{_libdir}/mosml/libmsocket.so
%{_libdir}/mosml/*.sig
%{_libdir}/mosml/*.ui
%{_libdir}/mosml/*.uo
%{_libdir}/mosml/camlrunm
%{_libdir}/mosml/header
%{_libdir}/mosml/helpsigs.val
%{_libdir}/mosml/mosml*
%{_libdir}/mosml/tools
%{_includedir}/mosml
%{_examplesdir}/mosml

%files pq
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mosml/libmpq.so

%files gd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mosml/libmgd.so

%files gdbm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mosml/libmgdbm.so

%files mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mosml/libmmysql.so

%files doc
%defattr(644,root,root,755)
%doc src/doc/*.pdf src/doc/helpsigs/mosmllib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mosml.spec,v $
Revision 1.24  2006/12/20 12:10:15  hawk
- release 6 to rebuild with PostgreSQL 8.2

Revision 1.23  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.22  2005/10/27 17:45:06  arekm
- rel 4

Revision 1.21  2005/02/13 16:04:56  qboosh
- release 3

Revision 1.20  2005/02/13 15:46:03  qboosh
- fixed -fPIC passing

Revision 1.19  2005/02/13 15:20:15  qboosh
- strict internal deps, missing dir

Revision 1.18  2005/02/13 10:16:52  arekm
- add -fPIC to specflags

Revision 1.17  2005/02/12 22:46:25  arekm
rel ++

Revision 1.16  2005/01/16 14:55:27  darekr
- updated to 2.01
- fixed Source0, sorted BRs

Revision 1.15  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/06/11 22:47:52  filon
- added gb and gdbm subpackages with modules for that libraries
- dynamic-gc,gdbm patches for building it with dynamic linking
- rewrited makefile patch and moved funtionality of dynlibs_setup into it
- fixed plugins location (/usr/lib is not good idea)
- fixed docs (index.html has all broken links, moved it in better place)
- cosmetics, new %%doc
- release 8, STBR for 1.0

Revision 1.12  2002/05/14 22:03:13  filon
- fixed patch entries
- release 7, STBR

Revision 1.11  2002/05/06 20:16:12  filon
- finally fixed generation of byte-compiled executables
- release 6
- STBR (kloczek, put it on ftp, please)

Revision 1.10  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 21:49:12  gotar
- %desc

Revision 1.7  2002/01/18 02:13:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/27 23:29:41  filon
- corrected files in doc subpkg
- release 5

Revision 1.5  2001/10/29 20:42:32  filon
- add patch for dynamic linking to pq (postgres) library
- divided into subpackages - doc, mysql, pq
- moved (and modified) building dynlibs from %%install to %%build
- release 4, STB

Revision 1.4  2001/10/12 14:07:32  blues
- BR gdbm-static added (needs libgdbm.a while linking)

Revision 1.3  2001/10/10 15:38:28  zagrodzki
- added includes/library paths for postgres/mysql (won't compile when prefix != /usr)
- added makefile.patch (add OPTCFLAGS in makefiles)
- added polish description
- release 3

Revision 1.2  2001/10/02 18:40:41  baggins
- edded examples to %%files

Revision 1.1  2001/10/02 18:36:42  baggins
- initial revision
